Bug 832795 - Firefox 13 steals focus, breaking GNOME 3 features
Firefox 13 steals focus, breaking GNOME 3 features
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 09:17 EDT by Veit Wahlich
Modified: 2012-09-04 10:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 10:12:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 762374 None None None 2012-06-17 09:17:22 EDT

  None (edit)
Description Veit Wahlich 2012-06-17 09:17:22 EDT
Description of problem:

When opening an URL with Firefox from another programm/window, Firefox now steals the focus from the original application and brings itself to top.

Mozilla seems to regard this to be a feature, not a bug: https://bugzilla.mozilla.org/show_bug.cgi?id=762374

But this breaks the feature introduced with GNOME 3 to decide whether a window is allowed to bring itself to top and steal focus or to be notified clickably about a new window/tab. This makes Firefox 13 behave completely different from other applications running on GNOME 3.

I was unable to find a configuration option or about:config entry to reset this to the original behaviour.


Version-Release number of selected component (if applicable):

13.0-1.fc16


How reproducible:

Always.


Steps to Reproduce:
1. Have Firefox running.
2. Start an other application to open an URL with Firefox 13 from, e.g. an e-mail with a link in Evolution.
3. Click the on link.


Actual results:

Firefox comes uninvitedly to top and steals focus from the other application.


Expected results:

In the standard configuration, a notification should appear, informing about a newly opened Firefox window/tab. Firefox should only come to top and get focus if one clicks on this notification.

The window manager should be able to maintain which applications steal focus in which situations. The user may modify the standard behaviour using Shell Extensions.


Additional info:
Comment 1 Veit Wahlich 2012-06-17 09:20:49 EDT
The problem occurs using the GNOME 3 desktop on both Fedora 16 and Fedora 17 using firefox-13.0-1.fc16 and firefox-13.0-1.fc17.
Comment 2 Marcela Mašláňová 2012-06-21 05:47:03 EDT
The problem occurs also in KDE with firefox-13.0.1-1.fc16.x86_64.

The workaround is in about:config set "browser.tabs.loadDivertedInBackground" to true.

This is terrible change. I usually open more tabs from thunderbird for reading them later.
Comment 3 Martin Stransky 2012-06-21 06:03:23 EDT
I wonder why this change affects gnome-shell only, the fallback mode works on the old way.
Comment 4 Veit Wahlich 2012-06-21 07:10:43 EDT
The workaround mentioned by Marcela does unfortunately not restore the original behaviour, the differences with "browser.tabs.loadDivertedInBackground" set to true compared to the original behaviour are as follows:

 - Tabs in Firefox open in the background, thus not the most recently opened tab is selected, but the tab that was opened the last time Firefox was used directly.
 - The GNOME Shell does not notify the user when a new tab has been opened, so the user can not simply click on the notification to bring Firefox to top.

So this does not even roughly solve the problem.
Comment 5 Martin Stransky 2012-09-04 10:12:31 EDT
See https://bugzilla.mozilla.org/show_bug.cgi?id=762374#c7

If an applications wants to open Firefox on background it can set the time stamp to 0 for that.

Note You need to log in before you can comment on or make changes to this bug.